package MyApp;
use Mojo::Base 'Mojolicious';

# This method will run once at server start
sub startup {
	my $self = shift;

	# Routes
	my $r = $self->routes;

	$self->mode('development');

    $self->plugin(charset => {charset => 'utf8'});
    
    $self->plugin(I18N => {namespace => 'MyApp::I18N'});
    
	$r->namespace('MyApp::Controller');
    
    $self->plugins->add_hook(
        after_static_dispatch => sub {
            my ($self, $c) = @_; 

            # We don't want to parse static files urls
            return if $self->res->code;

            if (my $path = $self->tx->req->url->path) {
                my $part = $path->parts->[0];

                if ( $part && ( $part eq 'ru' || $part eq 'en' ) ) { #grep { $part eq $_ } @{$config->{languages}}) {
                    shift @{$path->parts};

                    $self->app->log->debug("Found language $part in url");

                    #$self->stash->{i18n}->languages($part);
                    $self->languages($part);
                }
            }
        }
    ); 

	# Normal route to controller
	$r->route('/welcome')->to('alerts#welcome')->name('welcome');;

}

1;
